<%@ tag body-content="scriptless" trimDirectiveWhitespaces="true" %>
<%@ attribute name="pageTitle" required="false" rtexprvalue="true" %>
<%@ attribute name="metaDescription" required="false" %>
<%@ attribute name="metaKeywords" required="false" %>
<%@ attribute name="pageCss" required="false" fragment="true" %>
<%@ attribute name="pageScripts" required="false" fragment="true" %>
<%@ attribute name="showBV" required="false" %>

<%@ taglib prefix="template" tagdir="/WEB-INF/tags/desktop/template" %>
<%@ taglib prefix="analytics" tagdir="/WEB-INF/tags/shared/analytics" %>
<%@ taglib prefix="debug" tagdir="/WEB-INF/tags/shared/debug" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="bvJavascript" tagdir="/WEB-INF/tags/addons/bazaarvoice/desktop/template"%>

<!DOCTYPE html>
<html lang="${currentLanguage.isocode}">
<head>


	<title>
		${not empty pageTitle ? pageTitle : not empty cmsPage.title ? cmsPage.title : 'Accelerator Title'}
	</title>

    <c:if test="${showBV == 'true'}">
	<bvJavascript:bazaarvoiceHeaderJavascript />
		<script type="text/javascript">
		<c:if test="${not empty searchPageData.results}">
			$BV.ui('rr', 'inline_ratings', {
				productIds : [
				<c:forEach items="${searchPageData.results}" var="product">
				<spring:eval expression="T(com.bazaarvoice.hybris.utils.BazaarVoiceUtils).ReplaceUnsupportedCharacters(product.code)" var="productCode" />
					'${productCode}',
				</c:forEach>
				], containerPrefix : 'BVRRInlineRating'
			});
		    </c:if>
		</script>
    </c:if>

	<%-- Meta Content --%>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

	<%-- Additional meta tags --%>	
	<c:forEach var="metatag" items="${metatags}">
		<c:if test="${not empty metatag.content}" >
			<meta name="${metatag.name}" content="${metatag.content}" />
		</c:if>
	</c:forEach>
	
	<%-- Favourite Icon --%>
	<spring:theme code="img.favIcon" text="/" var="favIconPath"/>
    <link rel="shortcut icon" type="image/x-icon" media="all" href="${originalContextPath}${favIconPath}" />

	<%-- CSS Files Are Loaded First as they can be downloaded in parallel --%>
	<template:styleSheets/>

	<%-- Inject any additional CSS required by the page --%>
	<jsp:invoke fragment="pageCss"/>
	
	<%-- j query 1.5.1 --%>
	<script type="text/javascript" src="${commonResourcePath}/js/jquery-1.7.2.min.js"></script>
	
	<analytics:analytics/>

	<template:javaScriptVariables/>
<c:if test="${!empty googleApiVersion}">
	<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?v=${googleApiVersion}&amp;key=${googleApiKey}&amp;sensor=false"></script>
</c:if>


</head>

<body class="${pageBodyCssClasses} ${cmsPageRequestContextData.liveEdit ? ' yCmsLiveEdit' : ''} language-${currentLanguage.isocode}">

	<%-- Inject the page body here --%>
	<jsp:doBody/>

	<form name="accessiblityForm">
		<input type="hidden" id="accesibility_refreshScreenReaderBufferField" name="accesibility_refreshScreenReaderBufferField" value=""/>
	</form>
	<div id="ariaStatusMsg" class="skip" role="status" aria-relevant="text" aria-live="polite"></div>

	<%-- Load JavaScript required by the site --%>
	<template:javaScript/>
	
	<%-- Inject any additional JavaScript required by the page --%>
	<jsp:invoke fragment="pageScripts"/>	


</body>

<debug:debugFooter/>

</html>
